%define section		free
%define grname		excalibur
%define usname		monitor

Name:		%{grname}-%{usname}
Version:	2.1
Release:	1jpp
Epoch:		0
Summary:	Excalibur Monitor
License:	Apache Software License 2.0
Url:		http://excalibur.apache.org/
Group:		Development/Libraries/Application Frameworks
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	http://www.apache.org/dist/excalibur/excalibur-monitor/source/excalibur-monitor-2.1-src.tar.gz
Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        excalibur-monitor-2.1-jpp-depmap.xml
Source6:        excalibur-buildsystem.tar.gz
Source7:        excalibur-components-project-common.xml
Patch0:         excalibur-monitor-2.1-project_xml.patch
BuildRequires:	maven
BuildRequires:	junit
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:	ant >= 0:1.6
BuildRequires:	saxon, saxon-scripts
BuildRequires:	jakarta-commons-collections
BuildRequires:	excalibur-avalon-framework-api
BuildRequires:	excalibur-avalon-framework-impl
BuildRequires:	excalibur-avalon-logkit
BuildRequires:	excalibur-component
BuildRequires:	excalibur-fortress-container-api
BuildRequires:	excalibur-fortress-meta
BuildRequires:	excalibur-instrument-api
BuildRequires:	excalibur-logger
BuildRequires:	excalibur-pool-api
BuildRequires:	excalibur-pool-impl
BuildRequires:	excalibur-pool-instrumented
BuildRequires:	excalibur-sourceresolve
BuildRequires:	excalibur-testcase
BuildRequires:	qdox

Requires:	jakarta-commons-collections
Requires:	excalibur-avalon-framework-api
Requires:	excalibur-avalon-framework-impl
Requires:	excalibur-avalon-logkit
Requires:	excalibur-component
Requires:	excalibur-fortress-container-api
Requires:	excalibur-fortress-meta
Requires:	excalibur-instrument-api
Requires:	excalibur-logger
Requires:	excalibur-pool-api
Requires:	excalibur-pool-impl
Requires:	excalibur-pool-instrumented
Requires:	excalibur-sourceresolve
Requires:	excalibur-testcase
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Avalon Excalibur's resource management code allows you 
to be notified when a resource has changed. There are 
two methods of resource management: active and passive. 
Passive resource management acts as a holder for resources, 
and after the resource has been modified through it's normal 
API, notification goes to all listeners. Active resource 
management does the same, but it also polls the resources 
periodically to see if the resource was modified through an 
external method. Active resource management is perfect for 
monitoring files because they can be modified by external 
programs, and your program will be notified when the change 
occurs instead of constantly polling it.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done
gzip -dc %{SOURCE6} | tar xf -
mkdir components
cp %{SOURCE7} components/project-common.xml

%patch0 -b .sav

%build
export DEPCAT=$(pwd)/excalibur-monitor-2.1-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > excalibur-monitor-2.1-depmap.new.xml
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

for p in $(find . -name project.properties); do
    echo >> $p
    echo maven.repo.remote=file:/usr/share/maven-1.0/repository >> $p
    echo maven.home.local=$(pwd)/.maven >> $p
done

rm -rf .maven/repository/maven/jars
mkdir -p .maven/repository/maven/jars
build-jar-repository .maven/repository/maven/jars maven-jelly-tags

rm -rf .maven/repository/JPP/jars
mkdir -p .maven/repository/JPP/jars
build-jar-repository -s -p .maven/repository/JPP/jars \
commons-collections \
excalibur/avalon-framework-api \
excalibur/avalon-framework-impl \
excalibur/avalon-logkit \
excalibur/excalibur-component \
excalibur/excalibur-fortress-container-api \
excalibur/excalibur-fortress-meta \
excalibur/excalibur-instrument-api \
excalibur/excalibur-logger \
excalibur/excalibur-pool-api \
excalibur/excalibur-pool-impl \
excalibur/excalibur-pool-instrumented \
excalibur/excalibur-sourceresolve \
excalibur/excalibur-testcase \
qdox \




export MAVEN_HOME_LOCAL=$(pwd)/.maven

maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar javadoc


%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{grname}
install -m 644 \
target/%{name}-%{version}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{grname}/%{name}-%{version}.jar

# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir}/%{grname} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi


%files 
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/%{grname}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%changelog
* Wed Sep 07 2005 Ralph Apel <r.apel at r-apel.de> 0:2.1-1jpp
- First build from this codebase
